﻿.skill-container {
	/*text-align:center;*/
	position: relative;
	background-color: rgba(255,255,255,0.4);
}

.skill-element {
	border-radius: 4px;
	/*box-shadow: 1px 1px 5px 1px;*/
	padding-top: 7px;
	padding-bottom: 7px;
}

	.skill-element:hover ~ .close-x {
		display: inherit;
	}

.close-x {
	position: absolute;
	top: 0;
	right: 0;
	max-height: 20px;
	padding: 4px;
	display: none;
}

	.close-x:hover {
		border: 1px solid rgba(0,0,0,0.4);		
		border-radius: 4px;
		/*background-color: rgba(255,0,0,0.4);*/
		display: inherit;
	}

.skill-rating {
	display: inline-flex;
	flex-direction: row-reverse;
	width: 100%;
	height: 25px;
	position: relative;
}

.rating-radio {
	display: none;
}

.rating-label {
	min-height: 100%;
	width: 100%;
}

.rating-text {
	display: none;
}

.connector {
	width: 100%;
	height: 2px;
	margin-top: auto;
	margin-bottom: auto;
	background-color: black;
}

.connector-on {
	height: 2px;
	background-color: rgb(255,0,0);
}

.skill-name {
	font-weight: bold;
	font-size: small;
	position: absolute;
	top: -3px;
}

.skill-level {
	font-size: smaller;
	/*position: absolute;*/
	/*top: -5px;*/
	/*transform: translateX(-50%);*/
	transform:translateY(-5px);
}

.rating-label-container {
	display: flex;
	flex-direction: row-reverse;
	position: absolute;
	top: 0;
	height: 100%;
	width: 100%;
}

.dot {
	margin-top: auto;
	margin-bottom: auto;
	height:6px;
	width:6px;
	min-width: 6px;
	min-height: 6px;
	max-height:6px;
	max-width:6px;
	border-radius: 50%;
	background-color: black;
	/*position:absolute;
	top:50%;
	transform: translateY(-50%);*/
}

.dot-on {
	min-width: 8px;
	min-height: 8px;
	max-width: 8px;
	max-height: 8px;
	background-color: red;
}

.skill-level-container {
	text-align: center;
	height: 5px;
	margin: 0;
	padding: 0;
}

.skill-name-container {
	position: relative;
	height: 5px;	
}

.skill-select-window, .object-window {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,0.6);
	z-index: 1000000;
	overflow: hidden;
}

	.skill-select-window > .window-position,
	.object-window > .window-position {
		margin-top: 50px;
	}

		.skill-select-window > .window-position > .window,
		.object-window > .window-position > .window {
			border: 1px solid white;
			border-radius: 4px;
			background-color: white;
		}

			.skill-select-window > .window-position > .window > .window-content, 
			.object-window > .window-position > .window > .window-content {
				background-color: white;
			}

				.skill-select-window > .window-position > .window > .window-content > .head, 
				.object-window > .window-position > .window > .window-content > .head {
					/*display: inline-flex;*/
					padding: 10px;
				}

				.skill-select-window > .window-position > .window > .window-content > .content ,
				.object-window > .window-position > .window > .window-content > .content {
					max-height: 400px;
					overflow-y: auto;
					border-bottom: 1px solid #656565;
					border-top: 1px solid #656565;
					
				}

				.skill-select-window > .window-position > .window > .window-content > .head label,
				.object-window > .window-position > .window > .window-content > .head label {
					padding-right: 10px;
				}

				.skill-select-window > .window-position > .window > .window-content > .head > select,
				.object-window > .window-position > .window > .window-content > .head > select {
					max-width: 320px;
				}

				.skill-select-window > .window-position > .window > .window-content > .foot,
				.object-window > .window-position > .window > .window-content > .foot {
					padding: 10px;
				}

.skill-level-select,
.object-property-select{
    display:none;   
}

.skillset-selected,
.object-property-selected{
    position: absolute;
    /*background-color: #f8f7ff;*/
    background-color: #e2e2ff;
    border-radius: 4px;
    /*border: 1px solid #dfddec;*/
    padding: 10px;
    box-shadow: 0px 1px 3px 1px #9e9e9e;
    z-index: 500;
    transform: translate(-20px, 8px);
    /*transform:translateX(-20px);*/
    display: block;    
}

/*.object-property-selected {
    transform: translate(0, 8px);
}*/

.object-property-selected .control-label{
    padding-top:0;
}

    .skillset-selected:before,
    .object-property-selected:before {
        content: '';
        position: absolute;
        top: 0;
        left: 50px;
        width: 0;
        height: 0;
        border: 20px solid transparent;
        border-bottom-color: #e2e2ff;
        border-top: 0;
        border-left: 0;
        margin-left: -10px;
        margin-top: -10px;
    }

.selected-skillset-name,
.object-property-name{
    /*margin-left:20px;*/
    color:grey;
    /*font-size:small;*/
    display:block;
    font-size:12px;
}